include	clib.inc
include	mouse.inc
include	conio.inc

DPROC	@scputds ; (int x, int y, int at, int max, char *);
	mov	dx,ds
PEND	@scputds

DPROC	@scputs ; (BL, BH, CH, CL, [DX:]AX);
	push	dx
	push	cx
	push	bx
	push	ds
	push	si
	push	di
	mov	si,ax
	push	dx
	call	@getxyp
	mov	dh,0
	mov	dl,_scrcol
	add	dx,dx
	pop	ds
	mov	di,bx
	mov	ah,ch
	mov	ch,0
	call	@putstr
  ifdef __MOUSE__
	call	mouseshow
  endif
	pop	di
	pop	si
	pop	ds
	pop	bx
	pop	cx
	pop	dx
	ret
PEND	@scputs

	END
